
From: Dave Jones <davej@redhat.com>

Export machine_power_off() on ppc64, as the pcwd watchdog driver needs it.

Signed-off-by: Dave Jones <davej@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc64/kernel/setup.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/ppc64/kernel/setup.c~export-machine_power_off-on-ppc64 arch/ppc64/kernel/setup.c
--- devel/arch/ppc64/kernel/setup.c~export-machine_power_off-on-ppc64	2005-08-22 16:50:09.000000000 -0700
+++ devel-akpm/arch/ppc64/kernel/setup.c	2005-08-22 16:50:09.000000000 -0700
@@ -706,6 +706,7 @@ void machine_power_off(void)
 	local_irq_disable();
 	while (1) ;
 }
+EXPORT_SYMBOL(machine_power_off);
 
 void machine_halt(void)
 {
_
